Skip to main content
DELETE
/
crm-object-schemas
/
v3
/
schemas
/
{objectType}
Delete the schema of a specified custom object.
curl --request DELETE \
  --url https://api.hubapi.com/crm-object-schemas/v3/schemas/{objectType} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/crm-object-schemas/v3/schemas/{objectType}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/crm-object-schemas/v3/schemas/{objectType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectType
string
required

Fully qualified name or object type ID of your schema.

Query Parameters

archived
boolean
default:false

Whether to return only results that have been archived.

Response

Last modified on March 30, 2026